#
# spec file for package rubygem-safe_yaml
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-safe_yaml
Version:        1.0.5
Release:        1.19
%define mod_name safe_yaml
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://github.com/dtao/safe_yaml
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        SameYAML provides an alternative implementation of YAML.load
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Parse YAML safely.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGES.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.5
  see installed CHANGES.md
  1.0.5
  - ----
  - fixed [#80](https://github.com/dtao/safe_yaml/issues/80): uninitialized constant DateTime
* Tue Oct 14 2014 coolo@suse.com
- updated to version 1.0.4, no changelog
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.0.3
  - added warning when using Psych + an older version of libyaml
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.0.1
  - fixed handling for strings that look like (invalid) dates
* Sun Jan  5 2014 coolo@suse.com
- updated to version 1.0.0
  - updated date parsing to use local timezone
  - **now requiring "safe_yaml/load" provides `SafeYAML.load` without clobbering `YAML`**
  - fixed handling of empty files
  - fixed some (edge case) integer parsing bugs
  - fixed some JRuby-specific issues
* Thu Oct 10 2013 coolo@suse.com
- updated to version 0.9.7
  - made handling of document frontmatter more robust
  - added more descriptive message to the warning for omitting the :safe option
  - fixed handling of files with trailing content (after closing `---`)
* Wed Aug  7 2013 coolo@suse.com
- updated to version 0.9.5
  - fixed permissions AGAIN
* Sat Jul 20 2013 coolo@suse.com
- updated to version 0.9.4
  - corrected handling of symbols
  - fixed permissions :(
* Fri Jun  7 2013 coolo@suse.com
- updated to version 0.9.3
* Mon Jun  3 2013 coolo@suse.com
- updated to version 0.9.2
  - fixed error w/ parsing "!" when whitelisting tags
  - fixed parsing of the number 0 (d'oh!)
* Sat May 25 2013 coolo@suse.com
- initial package
